TEMPLATE = app
CONFIG += console c++11
CONFIG -= app_bundle
CONFIG -= qt

QMAKE_CXXFLAGS += -std=c++11


SOURCES += main.cpp

#set this to your VTK installation
VTK_PATH = G:/cfSDK-staging/VTK6/install

INCLUDEPATH += $$VTK_PATH/include/vtk-6.2
VTK_LIBPATH = $$VTK_PATH/lib/

LIBS += -L$$VTK_LIBPATH \
        -lvtkGUISupportQt-6.2 \
        -lvtkInteractionWidgets-6.2 \
        -lvtkInteractionStyle-6.2 \
        -lvtkRenderingAnnotation-6.2 \
        -lvtkRenderingLOD-6.2 \
        -lvtkRenderingOpenGL2-6.2 \
        -lvtkRenderingFreeType-6.2 \
        -lvtkRenderingCore-6.2 \
        -lvtkFiltersModeling-6.2 \
        -lvtkFiltersSources-6.2 \
        -lvtkFiltersHybrid-6.2 \
        -lvtkFiltersExtraction-6.2 \
        -lvtkFiltersGeometry-6.2 \
        -lvtkFiltersGeneral-6.2 \
        -lvtkFiltersCore-6.2 \
        -lvtkIOImage-6.2 \
        -lvtkIOGeometry-6.2 \
        -lvtkIOLegacy-6.2 \
        -lvtkIOCore-6.2 \
        -lvtkCommonColor-6.2 \
        -lvtkCommonExecutionModel-6.2 \
        -lvtkCommonDataModel-6.2 \
        -lvtkCommonTransforms-6.2 \
        -lvtkCommonMisc-6.2 \
        -lvtkCommonMath-6.2 \
        -lvtkCommonSystem-6.2 \
        -lvtkCommonCore-6.2 \
        -lvtkglew-6.2 \
        -lvtksys-6.2 \
        -lvtkftgl-6.2 \
        -lvtkfreetype-6.2 \
        -lvtkpng-6.2 \
        -lvtkzlib-6.2 \
        -lgdi32 \
        -lopengl32 \
        -lglu32
